Bug 394882

Summary: Desktop Settings - Wallpaper -> Slideshow, contents of hidden folders such as ../.thumbnails/ are displayed as wallpaper
Product: plasmashell Reporter: Nick <nick.craig.law>
Component: Image WallpaperAssignee: Marco Martin <notmart>
Status: RESOLVED FIXED    
Severity: normal CC: kde, plasma-bugs
Priority: NOR    
Version: 5.12.5   
Target Milestone: 1.0   
Platform: Neon Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.12.6

Description Nick 2018-05-31 08:30:32 UTC
I've no idea what product/component to put this bug report under

When selecting your wallpaper to be a slideshow of images, the program that displays the slideshow also shows the contents of any hidden folders in the directories that you have selected. Some photographic programs create a hidden folder called .thumbnails in the directory containing the photos, these are of course very low resolution images, so when the wallpaper slideshow displays the images found in .thumbnails, full screen they of course look very blurry and of course as there is a thumbnail image for every image in the directory, by the law of averages every other image displayed as wallpaper is a low quality blurry image.

To fix this problem, the desktop wallpaper slideshow feature of KDE should ignore hidden folders or have a radio button to select/deselect hidden folders should there be a use case that somebody requires it, I can't imagine why.

Personally, I think the desktop wallpaper feature should just ignore the contents of hidden directories, after all they are hidden for a reason.
Comment 1 David Edmundson 2018-05-31 08:50:54 UTC
There's a checkbox in the context menu "show hidden folders". (F8) 
This setting is saved across openings.

It is not on by default, you must have set it one time.
Comment 2 Nick 2018-05-31 09:26:29 UTC
No I checked that, show hidden folders is unticked, I've removed all the folders I selected and re-added the folders but slideshow still displays the thumbnails as wallpaper.

Just to confirm, I'm not talking about being able to see or not see hidden folders when you select the folder you want slideshow to use, I mean slideshow displays as wallpaper whatever is in any hidden folders you choose irrespective of whether you were showing hidden files/folders when you selected the folder.

As a simplified test, Using Dolphin I created a non hidden folder called tmp, inside tmp I created a hidden folder called .thumbnails, inside the hidden .thumbnails folder I placed an image called test.jpg. I then clicked right on the desktop selected 'configure desktop', selected the Wallpaper tab, wallpaper type as slideshow, clicked add folder, navigated to 'tmp', clicked right on it and verified that show hidden folders was unticked, clicked ok. The image in the hidden folder ../tmp/.thumbnails/test.jpg was displayed as wallpaper when I believe it shouldn't be.

Verified on Kubuntu 5.8.9 and on KDE Neon 5.12.5

Am I missing a trick or doing something wrong here ?
Comment 3 David Edmundson 2018-05-31 09:35:01 UTC
I understand now, thanks.
Comment 4 Nick 2018-05-31 19:17:33 UTC
This tends to be an issue for people who have the Nautilus file manager installed as Nautilus stores it's thumbnails in ./.thumbnails/ e.g. the same folder as the full size images. If you don't use Nautilus then chances are you've not come across this problem with the wallpaper slideshow displaying thumbnails.
Comment 5 Kai Uwe Broulik 2018-06-01 09:41:39 UTC
Git commit b39522e9e925c1dccc3759284846b53650d18eb8 by Kai Uwe Broulik.
Committed on 01/06/2018 at 09:41.
Pushed by broulik into branch 'Plasma/5.12'.

[Slideshow Wallpaper] Ignore hidden files and folders

They are usually hidden for a reason and shouldn't show up in the slideshow.
FIXED-IN: 5.12.6

Differential Revision: https://phabricator.kde.org/D13260

M  +1    -1    wallpapers/image/backgroundlistmodel.cpp

https://commits.kde.org/plasma-workspace/b39522e9e925c1dccc3759284846b53650d18eb8